2009-06-18  Marek Habersack  <mhabersack@novell.com>

	* browscap.ini.diff: updated to match the latest upstream
	version.

2009-06-04  Marek Habersack  <mhabersack@novell.com>

	* Makefile (TEST_RESOURCE_FILES): added
	Test/mainsoft/NunitWebResources/ServerSideControlsInScriptBlock.aspx

2009-05-10  Marek Habersack  <mhabersack@novell.com>

	* Makefile (TEST_RESOURCE_FILES): added
	Test/mainsoft/NunitWebResources/ExpressionInListControl.aspx

2009-04-28  Marek Habersack  <mhabersack@novell.com>

	* Makefile (TEST_RESOURCE_FILES): added
	Test/mainsoft/NunitWebResources/LinkInHeadWithEmbeddedExpression.aspx

2009-04-24  Marek Habersack  <mhabersack@novell.com>

	* System.Web_test.dll.sources: added
	System.Web.UI/PageParserFilterTest.cs

2009-04-16  Marek Habersack  <mhabersack@novell.com>

	* Makefile (TEST_RESOURCE_FILES): added
	Test/mainsoft/NunitWebResources/NoBindForMethodsWithBindInName.aspx

2009-02-05  Marek Habersack  <mhabersack@novell.com>

	* Makefile (TEST_RESOURCE_FILES): added
	Test/mainsoft/NunitWebResources/LoginDisplayRememberMe.aspx

2009-01-27  Marek Habersack  <mhabersack@novell.com>

	* System.Web.dll.sources: added System.Web.Util/SearchPattern.cs

2009-01-20  Marek Habersack  <mhabersack@novell.com>

	* System.Web.dll.sources: added System.Web.UI.WebControls/Substitution.cs

2008-12-23  Marek Habersack  <mhabersack@novell.com>

	* Makefile (TEST_RESOURCE_FILES): added Test/mainsoft/NunitWebResources/CustomSectionEmptyCollection.aspx

	* System.Web_test.dll.sources: added mainsoft/NunitWeb/NunitWeb/CustomSection.cs

2008-12-12  Dean Brettle  <dean@brettle.com>

	* System.Web.dll.sources: deleted
	System.Web.Configuration_2.0/CapabilitiesChecksum.cs
	
	* Makefile (RESOURCE_FILES_2): deleted
	System.Web.Configuration_2.0/RandomRoboBotKeywords.txt

2008-12-10  Marek Habersack  <mhabersack@novell.com>

	* Makefile (TEST_RESOURCE_FILES): added
	Test/mainsoft/NunitWebResources/MissingMasterFile.aspx

	* System.Web_test.dll.sources: added System.Web.UI/PageParserTest.cs

2008-12-03  Marek Habersack  <mhabersack@novell.com>

	* System.Web_test.dll.sources: added System.Web.UI/DataBinderTest.cs

2008-12-02  Marek Habersack  <mhabersack@novell.com>

	* Makefile (TEST_RESOURCE_FILES): added
	Test/mainsoft/NunitWeb/NunitWeb/Resources/Web.mono.config.1.1

2008-12-01  Marek Habersack  <mhabersack@novell.com>

	* Makefile (TEST_RESOURCE_FILES): added
	Test/mainsoft/NunitWebResources/ContentPlaceHolderInTemplate.aspx
	Test/mainsoft/NunitWebResources/ContentPlaceHolderInTemplate.master 
	(TEST_MCS_FLAGS): added reference to System.Web.Extensions

2008-11-25  Marek Habersack  <mhabersack@novell.com>

	* System.Web.dll.sources: added
	System.Web.Compilation/AspComponent.cs

2008-11-21  Marek Habersack  <mhabersack@novell.com>

	* Makefile (TEST_RESOURCE_FILES): added
	Test/mainsoft/NunitWebResources/InvalidPropertyBind1.aspx
	Test/mainsoft/NunitWebResources/InvalidPropertyBind2.aspx
	Test/mainsoft/NunitWebResources/InvalidPropertyBind3.aspx
	Test/mainsoft/NunitWebResources/InvalidPropertyBind4.aspx
	Test/mainsoft/NunitWebResources/ValidPropertyBind1.aspx
	Test/mainsoft/NunitWebResources/ValidPropertyBind2.aspx
	Test/mainsoft/NunitWebResources/ValidPropertyBind3.aspx
	Test/mainsoft/NunitWebResources/ValidPropertyBind4.aspx
	Test/mainsoft/NunitWebResources/ReadWritePropertyControl.ascx

	* Test/tools/web.config: disabled batch compilation and enabled
	debugging.

2008-11-15  Marek Habersack  <mhabersack@novell.com>

	* System.Web.dll.sources: added System.Web.UI/INonBindingContainer.cs

2008-10-17  Jonathan Pryor  <jpryor@novell.com>

	* Test/Makefile: Add doc-update target support.

2008-10-09  Marek Habersack  <mhabersack@novell.com>

	* System.Web.dll.sources: added System.Web.Configuration_2.0/MonoSettingsSection.cs

2008-09-13  Atsushi Enomoto  <atsushi@ximian.com>

	* System.Web.dll.sources: added System.Web.UI/IAutoFieldGenerator.cs
	  and System.Web.UI.WebControls/IPersistedSelector.cs.

2008-09-13  Atsushi Enomoto  <atsushi@ximian.com>

	* System.Web.dll.sources: added
	  System.Web.UI/CssClassPropertyAttribute.cs.

2008-09-13  Atsushi Enomoto  <atsushi@ximian.com>

	* System.Web.dll.sources: added System.Web.UI/IBindableControl.cs.

2008-09-13  Atsushi Enomoto  <atsushi@ximian.com>

	* System.Web.dll.sources: added
	  System.Web.UI.WebControls/DataBoundControlMode.cs.

2008-08-14  Marek Habersack  <mhabersack@novell.com>

	* Makefile: allow compiling with the DEBUG, TRACE and MONO_TRACE
	preprocessor symbols defined.

2008-06-18  Marek Habersack  <mhabersack@novell.com>

	* System.Web.dll.sources: added
	System.Web.Caching/SqlCacheDependency.cs

2008-04-18  Marek Habersack  <mhabersack@novell.com>

	* Makefile (OTHER_LIB_MCS_FLAGS): remove dependency on
	System.Windows.Forms and define INSIDE_SYSTEM_WEB during
	compilation.

	* System.Web.dll.sources: include
	../Managed.Windows.Forms/System.Resources/ResXResourceReader.cs
	../Managed.Windows.Forms/System.Resources/ResXResourceWriter.cs		
	../Managed.Windows.Forms/System.Resources/ResXFileRef.cs
	../Managed.Windows.Forms/System.Resources/ResXDataNode.cs
	../Managed.Windows.Forms/System.Resources/ResXNullRef.cs
	directly.

2008-04-09  Marek Habersack  <mhabersack@novell.com>

	* System.Web.dll.sources: added System.Web.Compilation/AppWebReferencesCompiler.cs

2008-04-08  Marek Habersack  <mhabersack@novell.com>

	* System.Web.dll.sources: added System.Web/VirtualPath.cs

2008-03-09  Dean Brettle <dean@brettle.com> 

	* System.Web_test.dll.sources: added
		System.Web.UI.WebControls.Adapters/MenuAdapterTest.cs
		System.Web.UI.WebControls.Adapters/WebControlAdapterTest.cs
		System.Web.UI.WebControls.Adapters/HierarchicalDataBoundControlAdapterTest.cs
		System.Web.UI.WebControls.Adapters/DataBoundControlAdapterTest.cs
		System.Web.UI.WebControls.Adapters/HideDisabledControlAdapterTest.cs
		System.Web.UI.Adapters/PageAdapterTest.cs
		System.Web.UI.Adapters/ControlAdapterTest.cs
		
	* Makefile (RESOURCE_FILES_2): added
		System.Web.Configuration_2.0/RandomRoboBotKeywords.txt

	* Makefile (TEST_RESOURCE_FILES): added 
		Test/mainsoft/NunitWebResources/PageWithAdapter.aspx

	* System.Web.dll.sources: added
		System.Web.Configuration_2.0/CapabilitiesBuild.cs
		System.Web.Configuration_2.0/CapabilitiesChecksum.cs
		System.Web.Configuration_2.0/CapabilitiesResult.cs
		System.Web.Configuration_2.0/ICapabilitiesProcess.cs
		System.Web.Configuration_2.0/nBrowser/Result.cs
		System.Web.Configuration_2.0/nBrowser/NodeTypes.cs
		System.Web.Configuration_2.0/nBrowser/Identification.cs
		System.Web.Configuration_2.0/nBrowser/File.cs
		System.Web.Configuration_2.0/nBrowser/Build.cs
		System.Web.Configuration_2.0/nBrowser/Node.cs
		System.Web.Configuration_2.0/nBrowser/Exception.cs
		
2008-03-01  Marek Habersack  <mhabersack@novell.com>

	* Makefile: added a dependency on Mono.Web.dll

	* System.Web.dll.sources: removed SystemSettingsMapper public APIs
	and moved them to the Mono.Web assembly.

2008-02-07  Vladimir Krasnov  <vladimirk@mainsoft.com>

	* System.Web20.csproj: added ObjectInputStream.cs and
	ObjectOutputStream.cs

2007-12-30  Vladimir Krasnov  <vladimirk@mainsoft.com>

	* System.Web.dll.sources: added AspNetDBSchemaChecker.cs
	* System.Web20.csproj: added AspNetDBSchemaChecker.cs

2007-12-19  Juraj Skripsky  <js@hotfeet.ch>

	* System.Web.dll.sources: removed TimeoutManager.cs

2007-12-08  Marek Habersack  <mhabersack@novell.com>

	* SQLiteProviders_DatabaseSchema.sql: added
	* Makefile: added support for compiling .resx resources.
	Added SQLiteProviders_DatabaseSchema.sql to EXTRA_DISTFILES.
	Added new resource files to EXTRA_DISTFILES
	Added a RESX_DIST variable which contains all the .resx files. The
	variable is used by RESX_RES and by EXTRA_DISTFILES.

2007-11-23  Daniel Nauck  <dna@mono-project.de>

        * System.Web.dll.sources: added
	System.Web/TraceContextRecord.cs
	* System.Web_test.dll.sources: added
	System.Web/TraceContextRecordTest.cs

2007-11-23  Marek Habersack  <mhabersack@novell.com>

	* System.Web.dll.sources: added
	System.Web.Configuration_2.0/IConfigMapPath.cs and
	System.Web.Configuration_2.0/IConfigMapPathFactory.cs

2007-11-22  Daniel Nauck  <dna@mono-project.de>

        * System.Web.dll.sources: added
	System.Web/IPartitionResolver.cs

2007-11-22  Marek Habersack  <mhabersack@novell.com>

	* System.Web.dll.sources: added System.Web/HttpCacheVaryByContentEncodings.cs
	Added System.Web/RequestNotification.cs, System.Web/RequestNotificationStatus.cs

2007-11-22  Daniel Nauck  <dna@mono-project.de>

        * System.Web.dll.sources: added
        System.Web/WebPageTraceListener.cs

2007-11-06  Marek Habersack  <mhabersack@novell.com>

	* System.Web.dll.sources: added
	System.Web.UI.WebControls/ChildTable.cs to compilation, for MS.NET
	compatibility.

2007-11-01  Marek Habersack  <mhabersack@novell.com>

	* System.Web.dll.sources: added MachineKeySectionUtils.cs

2007-10-24  Marek Habersack  <mhabersack@novell.com>

	* System.Web.dll.sources: added
	System.Web.Configuration/FileMatchingInfo.cs

2007-08-30  Marek Habersack  <mhabersack@novell.com>

	* System.Web.dll.sources: added MachineKeyRegistryStorage.cs

2007-08-14  Gert Driesen  <drieseng@users.sourceforge.net>

	* System.Web_test.dll.sources: Added AggregateCacheDependencyTest.cs.

2007-06-28  Vladimir Krasnov  <vladimirk@mainsoft.com>

	* System.Web20.csproj: added HttpWorkerRequest.jvm.cs,
	HttpResponseStream.jvm.cs to the project

2007-06-15  Gert Driesen  <drieseng@users.sourceforge.net>

	* System.Web_test.dll.sources: Added LosFormatterTest.cs.

2007-06-12  Vladimir Krasnov  <vladimirk@mainsoft.com>
	
	* System.Web20.csproj: added CompilationSection.cs

2007-05-15  Marek Habersack  <mhabersack@novell.com>

	* System.Web.dll.sources: added
	System.Web.Compilation/XsdBuildProvider.cs

2007-04-18  Marek Habersack  <grendello@gmail.com>

	* Makefile (System.Web/UplevelHelper.cs): use binary in the
	net_1_1_bootstrap profile.

2007-04-17  Wade Berrier  <wberrier@novell.com>

	* Makefile: use BUILT_SOURCES for UplevelHelper.cs instead of including it in the
	.sources file.  Include UplevelHelperDefinitions.xml for 'make dist'.

2007-04-17  Jonathan Chambers <joncham@gmail.com>

	* Makefile: Fix build, add $(TEST_RUNTIME) before call to culevel.

2007-04-17  Marek Habersack  <mhabersack@novell.com>

	* Makefile (System.Web/UplevelHelper.cs): autogenerate the file if
	it doesn't exist.

	* System.Web.dll.sources: added the System.Web/UplevelHelper.cs
	file. It is autogenerated by the culevel compiler.

	* UplevelHelperDefinitions.xml: added default uplevel browsers
	definition file. This serves as input to the culevel compiler in
	the tools directory at the top of the mcs tree.

2007-04-12  Vladimir Krasnov  <vladimirk@mainsoft.com>
	
	* System.Web20.csproj: 
	* System.Web.dll.sources: added HttpParamsCollection.cs

2007-04-01  Vladimir Krasnov  <vladimirk@mainsoft.com>
	
	* System.Web20.csproj: 
	* System.Web.dll.sources: HeadersCollection.cs, BaseParamsCollection.cs

2007-03-21  Marek Habersack  <mhabersack@novell.com>

	* System.Web.dll.sources: added UnknownAttributeDescriptor.cs

2007-02-20  Gert Driesen  <drieseng@users.sourceforge.net>

	* System.Web_test.dll.sources: Removed duplicate ImageFieldTest.cs
	entry.

2007-02-19  YonikKalin  <yonik@mainsoft.com>

	* Add System.Web_test.dll.sources add ChangePasswordTest.cs 

2007-02-18  Eyal Alaluf  <eyala@mainsoft.com>

	* run-mono-tests.bat: Add J2EE jar to classpath.

2007-02-12  Marek Habersack  <grendello@gmail.com>

	* System.Web.dll.sources: added PreservationFile.cs

2007-01-15  Marek Habersack  <grendello@gmail.com>

	* System.Web.dll.sources: Added WsdlBuildProvider.cs

2007-01-14  Eyal Alaluf  <eyala@mainsoft.com>

	* System.Web20.vmwcsproj: added .jvm files for Control.cs, Page.cs,
	  HttpRequest.cs & HttpContext.cs

2007-01-07  Vladimir Krasnov  <vladimirk@mainsoft.com>

	* System.Web20.vmwcsproj: added ProfileParameter.cs
	* System.Web.dll.sources: added ProfileParameter.cs

2007-01-07  Vladimir Krasnov  <vladimirk@mainsoft.com>

	* System.Web20.vmwcsproj: added AppResourcesCompiler.jvm.cs to project

2007-01-05  Marek Habersack  <grendello@gmail.com>

	* System.Web.dll.sources: Add new app resources compiler files.

2006-12-20  Marek Habersack  <grendello@gmail.com>

	* System.Web.dll.sources: adjustments for the 2.0 SessionState
	changes.

2006-12-09  Marek Habersack  <grendello@gmail.com>

	* System.Web.dll.sources: Add the HiddenFieldPageStatePersister.cs
	file to compilation

2006-12-05  Yoni Klain   <yonik@mainsoft.com>

	* MakeFile added new resources TextBoxTestlPage.aspx for TextBoxTest.cs

2006-11-29  Yoni Klain   <yonik@mainsoft.com>

	* MakeFile added new resources ListControlPage.aspx for ListControlTest.cs

2006-11-28  Miguel de Icaza  <miguel@novell.com>

	* Rationalize the user of MonoTODOs.  

		- Removed all the TODOs that were only overwritten methods
		and had no further information.

		- Methods that threw exceptions now have the message "Not
		implemnted".

		- Methods that return some constant are declared like
		that.

		- Removed a bunch of stale MonoTODOs that had not been
		removed. 

2006-11-27  Yoni Klain   <yonik@mainsoft.com>

	* MakeFile added new resources NoEventValidation.aspx for ImageButtonTest.cs

2006-11-09 Vladimir Krasnov <vladimirk@mainsoft.com>

	* System.Web_test.dll.sources: added PasswordRecoveryTest.cs, 
	PasswordRecoveryTest.cs
	* Makefile: added WebControl.config resource

2006-11-09 Vladimir Krasnov <vladimirk@mainsoft.com>

	* System.Web.dll.sources: added PasswordRecovery.cs
	* System.Web20.vmwcsproj: added PasswordRecovery.cs

2006-11-22  Yoni Klain   <yonik@mainsoft.com>

	* MakeFile added new resources AsyncPage.aspx,PageCultureTest.aspx for PageTest.cs

2006-11-21  Yoni Klain   <yonik@mainsoft.com>

	* MakeFile added new resources Theme2.skin and adapters.browser for ControlTest.cs

2006-11-20  Marek Habersack  <grendello@gmail.com>

	* System.Web.dll.sources: Added
	System.Web.UI.WebParts/PersonalizableAttribute.cs

2006-11-17  Marek Habersack  <grendello@gmail.com>

	* System.Web.dll.sources: Added
	System.Web.Compilation/ForceCopyBuildProvider.cs and
	System.Web.Compilation/MasterPageBuildProvider.cs and
	System.Web.UI/PageLifeCycle.cs

2006-11-09 Vladimir Krasnov <vladimirk@mainsoft.com>

	* System.Web.dll.sources: added DataSourceCasheManager.cs
	* System.Web20.vmwcsproj: added DataSourceCasheManager.cs

2006-11-08  Marek Habersack  <grendello@gmail.com>

	* System.Web.dll.sources: added the App_Code compiler

2006-11-05 Vladimir Krasnov <vladimirk@mainsoft.com>

	* System.Web.dll.sources: added System.Web.Profile/ProfileParser.cs
	* System.Web20.vmwcsproj: 
	added System.Web.Profile/ProfileParser.jvm.cs

2006-10-23 Merav Sudri <meravs@mainsoft.com

	*System.Web_test.dll.sources : FormParameterTest and ParameterTest were added.

2006-10-18  Marek Habersack  <grendello@gmail.com>

	* System.Web.dll.sources: add global/local resources compiler
	files.

	* Makefile: System.Windows.Forms.dll is needed for global/local
	resource compiler now.

2006-10-17 Vladimir Krasnov <vladimirk@mainsoft.com>

	* run-mono-tests.bat: added Derby to tests classpath

2006-10-11 Merav Sudri <meravs@mainsoft.com>
	The following new tests were added:
	* System.Web.UI.WebControls.SessionParameterTest.cs
	* System.Web.UI.WebControls.QueryStringParameterTest.cs
	* System.Web.UI.WebControls.ControlParameterTest.cs
	* System.Web.UI.WebControls.CookieParameterTest.cs

2006-10-10 Yoni Klain <yonik@mainsoft.com>
	* System.Web.UI.WebControls.CustomValidatorTest.cs new tests added;

2006-10-04 Yoni Klain <yonik@mainsoft.com>
	* System.Web.UI.Page.Test.cs new tests added;
    * MakeFile: add new resources for PageTest.cs :
    Test/mainsoft/NunitWebResources/PageLifecycleTest.aspx ;
	Test/mainsoft/NunitWebResources/PageValidationTest.aspx ;
	
2006-10-03 Hagit Yidov <hagity@mainsoft.com>

	* ImageMapTest.cs: New test was added
	* HotSpotTest.cs: New test was added
	* HotSpotCollectionTest.cs: New test was added
	* CircleHotSpot.cs: New test was added
	* RectangleHotSpot.cs: New test was added
	* PolygonHotSpot.cs: New test was added

2006-09-28 Yoni Klain <yonik@mainsoft.com>

    * MakeFile: add new resources for MasterPageTest.cs :
    Test/mainsoft/NunitWebResources/MasterTypeTest1.aspx ;
	Test/mainsoft/NunitWebResources/MasterTypeTest2.aspx ;
	Test/mainsoft/NunitWebResources/MyDerived.master ;
	Test/mainsoft/NunitWebResources/MyPageWithDerivedMaster.aspx ;

2006-09-26	Boris Kirzner <borisk@mainsoft.com>

	* run-mono-tests.bat: log files naming fix.

2006-09-19 Yoni Klain <yonik@mainsoft.com>

    * System.Web_test.dll.sources: add new \System.Web.UI.WebControls\CrossPagePostingTest.cs
    * MakeFile: add new resources for CrossPagePostingTest.cs :
    Test/mainsoft/NunitWebResources/CrossPagePosting1.aspx ;
	Test/mainsoft/NunitWebResources/CrossPagePosting2.aspx ;

2006-09-18 Yoni Klain <yonik@mainsoft.com>

    * System.Web_test.dll.sources: add new \System.Web.UI.WebControls\MappingUrlTest.cs
    * MakeFile: add new resources for MappingUrlTest.cs :
    Test/mainsoft/NunitWebResources/Mapping.aspx ;
	Test/mainsoft/NunitWebResources/Mapping1.aspx ;
	Test/mainsoft/NunitWebResources/WebMapping.config

2006-09-17 Yoni Klain <yonik@mainsoft.com>

    * System.Web_test.dll.sources: add new \System.Web.UI\TemplateControlTest.cs
    * MakeFile: add new resources for TemplateControlTest.cs
    Test/mainsoft/NunitWebResources/TemplateUserControl.ascx \
	Test/mainsoft/NunitWebResources/EvalTest.aspx \

2006-09-14	Boris Kirzner <borisk@mainsoft.com>

	* run-mono-tests.bat: fixes for TARGET_JVM tests run.
	
2006-04-09	Boris Kirzner <borisk@mainsoft.com>

	* run-mono-tests.bat: fixes for TARGET_JVM NET_2_0 tests run.

2006-08-27 Roei Erez <roeie@mainsoft.com>

	* WebConfigurationManager.cs: corrections for static variables on mainsoft platform

2006-08-28 Yoni Klain <yonik@mainsoft.com>

    * System.Web_test.dll.sources: add new \System.Web.UI\ClientScriptManagerTest.cs
    * MakeFile: add new resources for ClientScriptMenagerTest.cs
    Test/mainsoft/NunitWebResources/EventValidationTest2.aspx \
	Test/mainsoft/NunitWebResources/EventValidationTest1.aspx \
	Test/mainsoft/NunitWebResources/ClientScript.js \

2006-08-27 Hagit Yidov <hagity@mainsoft.com>

	* TreeNodeBindingCollectionTest.cs: New test was added
	* TreeNodeBindingTest.cs: New test was added
	* TreeNodeCollectionTest.cs: New test was added
	* TreeNodeStyleCollectionTest.cs: New test was added
	* TreeNodeTest.cs: New test was added
	* TreeViewTest.cs: Test was updated

2006-08-10 Hagit Yidov <hagity@mainsoft.com>

	* ImageMapTest.cs: New test was added
	* HotSpotTest.cs: New test was added
	* HotSpotCollectionTest.cs: New test was added
	* CircleHotSpot.cs: New test was added
	* RectangleHotSpot.cs: New test was added
	* PolygonHotSpot.cs: New test was added

2006-08-23 Igor Zelmanovich <igorz@mainsoft.com>

	* MenuTest.cs: added tests 

2006-08-23 Igor Zelmanovich <igorz@mainsoft.com>

	* StyleTest.cs: 
	added tests ensure that AddAttributesToRender method calls FillStyleAttributes
	and style attributes work properly.

2006-08-23 Igor Zelmanovich <igorz@mainsoft.com>

	* FontInfoTest.cs: added test 

2006-08-22 Igor Zelmanovich <igorz@mainsoft.com>

	* FontInfoTest.cs: added test: CopyFrom and MergeWith behave differently between 1.1 and 2.0 

2006-08-17 Igor Zelmanovich <igorz@mainsoft.com>

	* StyleTest.cs: added test ensures that IsEmpty returns false for 
	empty style that was registered with StyleSheet 	

2006-08-17 Igor Zelmanovich <igorz@mainsoft.com>

	* StyleTest.cs: new test was added, fixed Style_CssClass test

2006-08-16 Yoni Klain <yonik@mainsoft.com>

	* DataSourceViewTest.cs; DataSourceControlTest.cs : new tests

2006-08-15 Igor Zelmanovich <igorz@mainsoft.com>

	* MenuTest.cs: new test was added, removed NotWorking attributes

2006-08-15 Igor Zelmanovich <igorz@mainsoft.com>

	* MenuTest.cs: new tests were added.

2006-08-14 Andrew Skiba <andrews@mainsoft.com>

	* TableTest.cs: new test added.

2006-08-14 Igor Zelmanovich <igorz@mainsoft.com>

	* MenuTest.cs: added test showing that items initialization should occurs only once

2006-08-10 Yoni Klain <yonik@mainsoft.com>

	* CallBackTest.cs: New test was added

2006-08-010 Hagit Yidov <hagity@mainsoft.com>

	* ImageMapTest.cs: New test was added
	* HotSpotTest.cs: New test was added
	* HotSpotCollectionTest.cs: New test was added
	* CircleHotSpot.cs: New test was added
	* RectangleHotSpot.cs: New test was added
	* PolygonHotSpot.cs: New test was added

>>>>>>> .r64424
2006-08-10 Igor Zelmanovich <igorz@mainsoft.com>

	* MenuTest.cs: new tests were added

2006-08-09 Igor Zelmanovich <igorz@mainsoft.com>

	* HierarchicalDataBoundControlTest.cs: added new tests

2006-08-08 Merav Sudri <meravs@mainsoft.com>

	* ObjectDataSourceTest.cs: SetUp with delay was added to the test.
2006-08-08 Merav Sudri <meravs@mainsoft.com>

	* ObjectDataSourceTest.cs: New test was added
	
2006-08-08 Yoni Klain <yonik@mainsoft.com>

	* LoginViewTest.cs: added new tests and new resources for tests
	* ObjectDataSourceView.cs: added new tests

2006-08-06 Vladimir Krasnov <vladimirk@mainsoft.com>

	* CommandFieldTest.cs:
	* GridViewRowCollectionTest.cs:
	* MultiViewTest.cs:
	* SiteMapPathTest.cs:
	* ViewTest.cs: 
	* XmlDataSourceTest.cs: removed NotWorking attributes

2006-08-06 Vladimir Krasnov <vladimirk@mainsoft.com>

	* ThemeTest.cs: fixed test resource

2006-08-06 Vladimir Krasnov <vladimirk@mainsoft.com>

	* ThemeTest.cs: tests added

2006-08-01 Vladimir Krasnov <vladimirk@mainsoft.com>

	* BulletedListTest.cs: fixed new line in render tests

2006-07-31 Vladimir Krasnov <vladimirk@mainsoft.com>
	
	* WizardStepBaseTest.cs:
	* MasterPageTest.cs
	* MenuTest.cs
	* GridViewTest.cs: removed NotWorking attributes

2006-07-30 Andrew Skiba <andrews@mainsoft.com>

	* FormViewTest.cs: fix few tests.

2006-07-30 Vladimir Krasnov <vladimirk@mainsoft.com>

	* WizardTest.cs: fixed test, removed NotWorking attributes

2006-07-27 Andrew Skiba <andrews@mainsoft.com>

	* FormViewTest.cs: fix few tests.

2006-07-27 Andrew Skiba <andrews@mainsoft.com>

	* DetailsViewTest.cs: fix tests.

2006-07-26 Vladimir Krasnov <vladimirk@mainsoft.com>

	* XmlDataSourceTest.cs: fixed aspx based tests

2006-07-26 Andrew Skiba <andrews@mainsoft.com>

	* FormViewTest.cs: visual studio ifdef.

2006-07-26 Andrew Skiba <andrews@mainsoft.com>

	* DetailsViewRowTest.cs: fix the test (incomplete).

2006-07-26 Andrew Skiba <andrews@mainsoft.com>

	* DetailsViewTest.cs: fix few tests.

2006-07-26 Yoni Klain <yonik@mainsoft.com>

	* XmlDataSourceTest.cs: Add new tests.

2006-07-25 Vladimir Krasnov <vladimirk@mainsoft.com>

	* MultiViewTest.cs: added test

2006-07-25 Vladimir Krasnov <vladimirk@mainsoft.com>

	* GridViewTest.cs:
	* ViewTest.cs:
	* WizardStepBaseTest.cs:
	* WizardTest.cs: fixed tests

2006-07-25 Merav Sudri <meravs@mainsoft.com>

	* FormViewTest.cs: Add three postback tests.

2006-07-24 Andrew Skiba <andrews@mainsoft.com>

	* DetailsViewTest.cs: split a test in two, working and not working.

2006-07-23 Andrew Skiba <andrews@mainsoft.com>

	* DetailsViewTest.cs: fix the test.

2006-07-20 Andrew Skiba <andrews@mainsoft.com>

	* DetailsViewTest.cs: more precise lifetime flow check.

2006-07-20 Andrew Skiba <andrews@mainsoft.com>

	* DetailsViewTest.cs: add EnsureChildControls basic test.

2006-07-20 Andrew Skiba <andrews@mainsoft.com>

	* DetailsViewTest.cs: add a new assert

2006-07-20 Vladimir Krasnov <vladimirk@mainsoft.com>

	* PagerSettingsTest.cs: fixed PropertyChanged test

2006-07-19 Andrew Skiba <andrews@mainsoft.com>

	* DetailsViewTest.cs: #if VISUAL_STUDIO

2006-07-20 Yoni Klain <yonik@mainsoft.com>

	* GridViewTest.cs: added new tests

2006-07-19 Andrew Skiba <andrews@mainsoft.com>

	* DetailsViewTest.cs: #if NET_2_0
	* TableStyleTest.cs: Category ("NotWorking")
	
2006-07-19 Andrew Skiba <andrews@mainsoft.com>

	* TableStyleTest.cs: add a test for BackImageUrl rendering

2006-07-19 Merav Sudri <meravs@mainsoft.com>

	* DetailsViewRowTest.cs: added new test
	* DetailsViewRowCollectionTest.cs: added new test
	* FormViewRowTest.cs: added new test
	* FormViewTest.cs: added new test

2006-07-19 Merav Sudri <meravs@mainsoft.com>

	* DetailsViewTest.cs: added new test

2006-07-18 Vladimir Krasnov <vladimirk@mainsoft.com>

	* GridViewTest.cs: removed NotWorking attributes, added tests

2006-07-17 Yoni Klain <yonik@mainsoft.com>

	* SiteMapPathTest.cs: added new test

2006-07-17 Andrew Skiba <andrews@mainsoft.com>

	* CommandFieldTest.cs: added positive flow test for
	ValidateSupportsCallback

2006-07-17 Andrew Skiba <andrews@mainsoft.com>

	* WebControlTest.cs: added tests for display style
	
2006-07-17 Vladimir Krasnov <vladimirk@mainsoft.com>

	* GridViewTest.cs: added new test

2006-07-16 Vladimir Krasnov <vladimirk@mainsoft.com>

	* BoundFieldTest.cs: added new test

2006-07-16 Andrew Skiba <andrews@mainsoft.com>

	* SiteMapPathTest.cs: fix expected results for dotnet in 3 tests;
	add 2 new asserts for InitializeItem

2006-07-16 Vladimir Krasnov <vladimirk@mainsoft.com>

	* BulletedListTest.cs: removed NotWorking attributes

2006-07-16 Yoni Klain <yonik@mainsoft.com>

	* added WizardStepBaseTest.cs; WizardStepTest.cs; WizardStepCollectionTest.cs
	
2006-07-13 Gonzalo Paniagua Javier <gonzalo@ximian.com>

	* DataListTest.cs: new test for templated items. Patch by Jaros?aw
	Pawlak.

2006-07-12 Yoni Klain <yonik@mainsoft.com>

	* WizardTest.cs added new tests;
	* SiteMapPathTest.cs removed remarks

2006-07-11 Vladimir Krasnov <vladimirk@mainsoft.com>
	
	* GridViewTest.cs: added GridView_RenderingCheckBoxField2
	for testing of autogenerated checkbox column

2006-07-11 Yoni Klain <yonik@mainsoft.com>

	* ImageFieldTest.cs added new tests;

2006-07-10 Andrew Skiba <andrews@mainsoft.com>

	* SiteMapPathTest.cs: fix expected results for IE user-agent

>>>>>>> .r62654
2006-07-09 Yoni Klain <yonik@mainsoft.com>

	* MenuTest.cs changes on postback;

2006-07-09 Yoni Klain <yonik@mainsoft.com>

	* ContentTest.cs changes on event test;

2006-07-07 Yoni Klain <yonik@mainsoft.com>

	* added PagerSettingsTest.cs;GridViewRowCollectionTest.cs;
	ContentTest.cs;GridViewRowTest.cs

2006-07-07 Yoni Klain <yonik@mainsoft.com>

	* GridViewTest.cs, MenuTest.cs added PostBack tests

2006-07-05 Vladimir Krasnov <vladimirk@mainsoft.com>
	
	* added CreateUserWizardTest.cs

2006-07-03 Vladimir Krasnov <vladimirk@mainsoft.com>

	* BoundFieldTest.cs, ButtonFieldTest.cs, DataControlFieldTest.cs
	HyperLinkFieldTest.cs, ImageFieldTest.cs: removed NotWorking
	attribute from Initialize test case

2006-06-28 Juraj Skripsky <js@hotfeet.ch>

	* RegularExpressionValidatorTest.cs: check for automatic wrapping of
	expression with "^...$".

2006-06-28 Vladimir Krasnov <vladimirk@mainsoft.com>

	* Added WizardTest.cs: Wizard control basic tests

2006-06-25 Yoni Klain <yonik@mainsoft.com>

	* GridViewTest.cs;
	* AutoGeneratedFieldTest.cs;BoundFieldTest.cs;DataControlFieldTest.cs;
	* DataControlFieldCollectionTest.cs;DataKeyArrayTest.cs;
	* DataKeyTest.cs;ButtonFieldBaseTest.cs;HyperLinkFieldTest.cs;
	* CommandFieldTest.cs;CheckBoxFieldTest.cs;TemplateFieldTest.cs
	* GridView test and GridView subclasses tests. 

2006-06-25	Konstantin Triger <kostat@mainsoft.com>

	* FormViewTest.cs: test for PageIndex bounds.

2006-06-21 Andrew Skiba <andrews@mainsoft.com>

	* ThemeTest.cs, SiteMapPathTest.cs, FormViewTest.cs, MenuTest.cs,
	 MasterPageTest.cs: NunitWeb refactoring

2006-06-21 Andrew Skiba <andrews@mainsoft.com>

	* FileUploadTest.cs: add new tests for FileUpload control

2006-06-20 Andrew Skiba <andrews@mainsoft.com>

	* ThemeTest.cs: add new test for UrlPropertyAttribute

2006-06-20 Andrew Skiba <andrews@mainsoft.com>

	* FormViewTest.cs: add new test for CssClass attribute

2006-06-14 Gonzalo Paniagua Javier <gonzalo@ximian.com>

	* RepeaterItemCollectionTest.cs: New file.

2006-06-14 Andrew Skiba <andrews@mainsoft.com>

	* MenuTest.cs: add test for CssClass attribute

2006-06-13 Juraj Skripsky <js@hotfeet.ch>

	* CalendarTest.cs (SelectDateProperty): Make sure SelectedDate is
	automatically "rounded" to the same date with time set to 12:00am.

2006-05-28 Andrew Skiba <andrews@mainsoft.com>

	* ThemeTest.cs, MenuTest.cs, MasterPageTest.cs: rename methods to make
	nunit quiet

2006-05-21 Yoni Klain <yonik@mainsoft.com>

	* ThemeTest.cs  -  Add new test

2006-05-21 Yoni Klain <yonik@mainsoft.com>

	* MasterPageTest.cs  -  add attributes for NotWorking tests
	* MenuTest.cs - sleep time changed

2006-05-21 Yoni Klain <yonik@mainsoft.com>

	* Added MasterPageTest.cs

2006-05-21 Yoni Klain <yonik@mainsoft.com>

	* MenuTest.cs, SiteMapPathTest.cs ,BulletedListTest.cs -  add attributes for NotWorking tests 
	  
2006-05-21 Yoni Klain <yonik@mainsoft.com>

	* Added ContentTest.cs

2006-05-17 Andrew Skiba <andrews@mainsoft.com>

	* MenuTest.cs, SiteMapPathTest.cs: multiple changes, now passes on 
	dotnet with mono makefile

2006-05-14 Yoni Klain <yonik@mainsoft.com>

	* Added MenuTest.cs

2006-05-14 Yoni Klain <yonik@mainsoft.com>

	* Added SiteMapPathTest.cs 

2006-04-30 Yoni Klain <yonik@mainsoft.com>

	* Added SiteMapDataSourceTest.cs 

2006-04-23 Tal Klahr <talk@mainsoft.com>

	* Added ViewTest.cs and MultiViewTest.cs

2006-04-25	Konstantin Triger <kostat@mainsoft.com>

	* FormViewTest.cs: added test for PageCount.

2006-04-20	Konstantin Triger <kostat@mainsoft.com>

	* FormViewTest.cs: added test for PageIndex.

2006-04-06	Konstantin Triger <kostat@mainsoft.com>

	* DataListTest.cs: added test for DataSourceID.

2006-04-06	Konstantin Triger <kostat@mainsoft.com>

	* LoginTest.cs: Added LayoutTemplate property Test.
	* LoginViewTest.cs: Added AnonymousTemplate property Test.

2006-03-28  Alexandre Miguel Pedro Gomes  <alexmipego@gmail.com>
 
 	* FontInfoTest.cs: Implemented ShouldSerializeNames tests

2006-03-06  Vladimir Krasnov  <vladimirk@mainsoft.com>

	* CalendarTest.cs: refactoring, inline delegates replaced with
	regular ones.
	* LinkButtonTest.cs: same

2006-03-03  Vladimir Krasnov  <vladimirk@mainsoft.com>

	* PagedDataSourceTest.cs: added TARGET_JVM part to exclude
	not working tests.
	* WebControlTest.cs: same

2006-02-21  Chris Toshok  <toshok@ximian.com>

	* SqlDataSourceTest.cs, SqlDataSourceViewTest.cs,
	AccessDataSourceTest.cs: new tests.

2005-12-14 Gonzalo Paniagua Javier <gonzalo@ximian.com>

	* DropDownListTest.cs: test for html-encoding of the text.

2005-11-21 Gonzalo Paniagua Javier <gonzalo@ximian.com>

	* RadioButtonTest.cs: more tests for the 'name' attribute.

2005-10-24 Gonzalo Paniagua Javier <gonzalo@ximian.com>

	* LiteralTest.cs: Literal allows LiteralControl.

2005-10-20 Gonzalo Paniagua Javier <gonzalo@ximian.com>

	* ListBoxTest.cs: a few more tests for ListBox and selection.

2005-10-18 Gonzalo Paniagua Javier <gonzalo@ximian.com>

	* ListControlTest.cs: 3 more tests for ListControl.

2005-10-17 Gonzalo Paniagua Javier <gonzalo@ximian.com>

	* CustomValidatorTest.cs: an empty control name is valid.

2005-10-17  Sebastien Pouliot  <sebastien@ximian.com> 

	* RequiredFieldValidatorCas.cs: New. CAS unit for 
	RequiredFieldValidator.

2005-10-10 Gonzalo Paniagua Javier <gonzalo@ximian.com>

	* DataListTest.cs: added some style and IRepeatInfoUser tests.

2005-10-04 Gonzalo Paniagua Javier <gonzalo@ximian.com>

	* ListBoxTest.cs: the name is the UniqueID, not the ClientID.
	* WebControlTest.cs: Attributes statebag is case insensitive.

2005-10-02 Gonzalo Paniagua Javier <gonzalo@ximian.com>

	* ImageButtonTest.cs: test that 'name' attribute is rendered.

2005-10-02 Gonzalo Paniagua Javier <gonzalo@ximian.com>

	* DataGridTest.cs: Test for ButtonColumn with DataTextField.

2005-10-02 Gonzalo Paniagua Javier <gonzalo@ximian.com>

	* DataGridTest.cs: new test for the style of the linkbutton in the
	headers when sorting is enabled. Also test that the Items property
	contains the DataGridItems.

2005-09-29 Gonzalo Paniagua Javier <gonzalo@ximian.com>

	* TableCellTest.cs: the "Text" viewstate value does not control whether
	we render the children or not.

	* EditCommandColumnTest.cs: some tests do not pass on MS rutime for me,
	so I've made them NotDotNet and fixed all the problems. Also added tests
	to ensure that the TextBox's form the BoundColumns are present in the
	hierarchy, as before we did nothing there.
	
	* ButtonTest.cs: test to show that a Button's children are not rendered.

2005-09-29 Gonzalo Paniagua Javier <gonzalo@ximian.com>

	* PagedDataSourceTest.cs: more tests.

2005-09-28 Gonzalo Paniagua Javier <gonzalo@ximian.com>

	* PagedDataSourceTest.cs: more tests.

2005-09-28 Gonzalo Paniagua Javier <gonzalo@ximian.com>

	* CalendarTest.cs: added test to check for ID and base attributes being
	copied from the calendar into the table.

2005-09-28 Gonzalo Paniagua Javier <gonzalo@ximian.com>

	* PagedDataSourceTest.cs: nullref is throw on null DataSource.

2005-09-28 Gonzalo Paniagua Javier <gonzalo@ximian.com>

	* DataGridTest.cs: fixed a test and added a commented out one that works
	fine in mono but throws nullref with MS.

2005-09-27 Gonzalo Paniagua Javier <gonzalo@ximian.com>

	* DataGridTest.cs: more tests that add a TemplateColumn.

2005-09-27 Gonzalo Paniagua Javier <gonzalo@ximian.com>

	* EditCommandColumnTest.cs: added a test here for datagrid, as this was
	the file whose test failed because the id of the datagrid generated
	table.

2005-09-27 Gonzalo Paniagua Javier <gonzalo@ximian.com>

	* FontUnitCas.cs: method name change in FontUnitTest.
	* FontUnitTest.cs: splitted tests, enabled the "NotWorking" ones and
	added tests for FontSize names beginning with x and containing a dash.

2005-09-27 Gonzalo Paniagua Javier <gonzalo@ximian.com>

	* ListControlTest.cs: new tests for SelectedValue, SelectedIndex and
	DataBinding.

2005-09-24 Gonzalo Paniagua Javier <gonzalo@ximian.com>

	* DataGridTest.cs:
	* DataListTest.cs: OnItemCommand is raised always in OnBubbleEvent.

2005-09-23  Sebastien Pouliot  <sebastien@ximian.com>

	* LoginTest.cs: Make OnBubbleEvent_Authenticated_OnAuthenticate test 
	case "work" on both MS and Mono.
	* UnitTest.cs: IncorrectConstructor9 was fixed (in 2.0 RC) to throw
	the FormatException (just like earlier fx did).

2005-09-23  Sebastien Pouliot  <sebastien@ximian.com> 
 
	* LabelCas.cs, LinkButtonCas.cs, ListBoxCas.cs, ListControlCas.cs,
	ListItemCas.cs, ListItemCollectionCas.cs, LiteralCas.cs, LoginCas.cs,
	LoginNameCas.cs, LoginStatusCas.cs, MonthChangedEventArgsCas.cs,
	PagedDataSourceCas.cs, PanelCas.cs, RadioButtonCas.cs, 
	RadioButtonListCas.cs, RangeValidatorCas.cs, 
	RegularExpressionValidatorCas.cs, RepeaterCas.cs, RepeatInfoCas.cs,
	RoleGroupCas.cs, RoleGroupCollectionCas.cs, 
	SelectedDatesCollectionCas.cs, StyleCas.cs, TableCas.cs, 
	TableCellCas.cs, TableFooterRowCas.cs, TableHeaderCellCas.cs,
	TableHeaderRowCas.cs, TableItemStyleCas.cs, TableRowCas.cs,
	TableSectionStyleCas.cs, TableStyleCas.cs, TargetConverterCas.cs,
	TextBoxCas.cs, TreeViewCas.cs, UnitCas.cs, UnitConverterCas.cs,
	ValidatedControlConverterCas.cs, ValidationSummaryCas.cs, 
	WebColorConverterCas.cs, WebControlCas.cs, XmlCas.cs, 
	XmlDataSourceCas.cs: New CAS unit tests - checks for LinkDemands and 
	re-execute the "classic" unit tests under the most retricted security
	permissions possible.

2005-09-23  Sebastien Pouliot  <sebastien@ximian.com>

	* LinkButtonTest.cs: Fixed fixture name (Text -> Test).
	* ListItemTest.cs: Fixed header.
	* LoginTest.cs: Changed [Ignore] to [Category ("NotDotNet")] on 
	OnBubbleEvent_Authenticated_OnAuthenticate () test case.
	* PagedDataSourceTest.cs: Added missing [Test] to 
	TestEnumerators_NoPaging test case.
	* RadioButtonListTest.cs: Fixed header.
	* RepeatInfoTest.cs: Add missing [Test] on DefaultValues test case.
	* UnitConverterTest.cs: Fixed test cases (commited bu never executed)
	before including it in the suite.
	* ValidatorTest.cs: Fixed header.
	* WebColorConverterTest.cs: Fixed header.

2005-09-21  Sebastien Pouliot  <sebastien@ximian.com>

	* AdCreatedEventArgsCas.cs, BaseCompareValidatorCas.cs,
	BaseDataBoundControlCas.cs, BaseDataListCas.cs, BaseValidatorCas.cs,
	BoundColumnCas.cs, ButtonColumnCas.cs, CalandarCas.cs, 
	CalendarDayCas.cs, CheckBoxCas.cs, CheckBoxListCas.cs, 
	CompareValidatorCas.cs, CompositeControlCas.cs, CustomValidatorCas.cs,
	DataBoundControlCas.cs, DataGridCas.cs, DataGridColumnCas.cs,
	DataGridItemCas.cs, DataGridItemCollectionCas.cs, 
	DataGridPagerStyleCas.cs, DataKeyCollectionCas.cs, DataListItemCas.cs,
	DataListItemCollectionCas.cs, EditCommandColumnCas.cs, FontInfoCas.cs,
	FontNamesConverterCas.cs, FontUnitCas.cs, FormViewCas.cs, 
	HyperLinkCas.cs, HyperLinkColumnCas.cs, ImageButtonCas.cs, 
	ImageCas.cs: New CAS unit tests - checks for LinkDemands and 
	re-execute the "classic" unit tests under the most retricted security
	permissions possible.

2005-09-20 Gonzalo Paniagua Javier <gonzalo@ximian.com>

	* DataGridTest.cs: added data binding tests.
	* BaseDataListTest.cs: it's DataKeys (arraylist) what gets to the
	viewstate, not the DataKeyCollection.

2005-09-20  Sebastien Pouliot  <sebastien@ximian.com>

	* AdCreatedEventArgsTest.cs, BaseCompareValidatorTest.cs, 
	CompositeControlTest.cs, DataListTest.cs, DropDownListTest.cs,
	EditCommandColumnTest.cs, FontNamesConverterTest.cs, FormViewTest.cs,
	ListControlTest.cs, MonthChangedEventArgsTest.cs, 
	RadioButtonListTest.cs, StyleTest.cs, TableCellTest.cs, 
	TextBoxTest.cs, TreeViewTest.cs, ValidatedControlConverterTest.cs:
	Fixed tests results under 2.0 Release Candidate (for NET_2_0).

2005-09-19 Gonzalo Paniagua Javier <gonzalo@ximian.com>

	* DataGridTest.cs: fix expected/actual order. Added test for HeaderText
	and empty ArrayList.

2005-09-19 Gonzalo Paniagua Javier <gonzalo@ximian.com>

	* TableCellTest.cs: TableCell does not get an automatic ID.

2005-09-19 Gonzalo Paniagua Javier <gonzalo@ximian.com>

	* TableStyleTest.cs: added test to check that GridLines is correctly
	restored in LoadViewState.

2005-09-13 Gonzalo Paniagua Javier <gonzalo@ximian.com>

	* TableCellTest.cs: added new test cases for bug #76078.

2005-09-09 Gonzalo Paniagua Javier <gonzalo@ximian.com>

	* ListItemTest.cs: tests for ListItem.
	* RadioButtonListTest.cs: more test for load/raise.

2005-09-09  Chris Toshok  <toshok@ximian.com>

	* StyleTest.cs (FontInfo_Empty): test to see if changes to
	Style.Font cause changes in the style's empty status.

2005-09-07  Chris Toshok  <toshok@ximian.com>

	* CalendarTest.cs (TestSelectedColorDefault): we need to split up
	the color tests since they're rendered in different orders by
	ms/us.

2005-09-07  Chris Toshok  <toshok@ximian.com>

	* ListControlTest.cs: add tests for the ControlState.

2005-09-05  Chris Toshok  <toshok@ximian.com>

	* FormViewTest.cs: new tests.

2005-09-05  Chris Toshok  <toshok@ximian.com>

	* DataBoundControlTest.cs: new tests.

	* BaseDataBoundControlTest.cs: new tests.

2005-09-01  Chris Toshok  <toshok@ximian.com>

	* ListControlTest.cs (DefaultProperties): add tests for TagKey,
	Text, and AppendDataBoundItems.
	(ViewStateContents): add checks for Text and AppendDataBoundItems.

2005-09-01  Raja R Harinath  <rharinath@novell.com>

	* CalendarTest.cs: Remove duplicate using-declarations.
	* XmlDataSourceTest.cs: Protect with NET_2_0 guard.
	* RepeaterTest.cs (Poker.GetSelectArguments): Likewise.
	(Poker.DoCreateDataSourceSelectArguments): Likewise.
	(Repeater_DefaultsSelectArguments): Likewise.

2005-08-31  Chris Toshok  <toshok@ximian.com>

	* TreeViewTest.cs: beginnings of new tests.

	* RepeaterTest.cs: same.

	* XmlDataSourceTest.cs: same.

2005-08-27  Chris Toshok  <toshok@ximian.com>

	* TextBoxTest.cs: add 2.0 test to show that validation properties
	have no effect on downlevel rendering.

2005-08-26  Chris Toshok  <toshok@ximian.com>

	* TextBoxTest.cs: add tests for the 2.0 validation properties, and
	to make sure they're getting saved to the viewstate.

2005-08-26  Chris Toshok  <toshok@ximian.com>

	* FontUnitTest.cs: Add tests for the two 2.0 constructors, and the
	2.0 ToString(IFormatProvider) method.

	* UnitTest.cs: Add tests for the 2.0 ToString(IFormatProvider)
	method.

2005-08-26  Sebastien Pouliot  <sebastien@ximian.com> 

	* TableStyleTest.cs: New test cases for 2.0.

2005-08-25  Sebastien Pouliot  <sebastien@ximian.com> 
 
	* CheckBoxListTest.cs: Use Ben's CleanHtmlTextWriter to compare 
	rendered output. Re-ordered the expected value to match. Rendering 
	tests now pass on Mono 1.x|2.0 profile and MS 1.x.
	* DropDownListTest.cs: (Properties) we have the same 2.0 failure on
	both Mono and MS runtime, maybe it's a feature ;-)

2005-08-25  Chris Toshok  <toshok@ximian.com>

	* CalendarTest.cs: add viewstate tests for Caption/CaptionAlign
	(2.0).

2005-08-25  Sebastien Pouliot  <sebastien@ximian.com>

	* HyperLinkTest.cs: Fixed the expected output rendering for 2.0.

2005-08-25  Peter Dennis Bartok  <pbartok@novell.com>

	* StyleTest.cs: Added tests for CssRegisteredStyle

2005-08-25  Sebastien Pouliot  <sebastien@ximian.com>

	* StyleTest.cs: Added test for IsStyleEmpty(null).

2005-08-24  Chris Toshok  <toshok@ximian.com>

	* ValidationSummaryTest.cs (ValidationSummary_ValidationGroup):
	add tests for ValidationGroup, making sure it's stored in the
	ViewState.

2005-08-24  Sebastien Pouliot  <sebastien@ximian.com>

	* RoleGroupTest.cs: New (2.0). Unit tests for RoleGroup.
	* RoleGroupCollectionTest.cs: New (2.0). Unit tests for 
	RoleGroupCollection.

2005-08-23  Chris Toshok  <toshok@ximian.com>

	* RepeatInfoTest.cs (RenderRepeater_BaseControl): the 2.0 ReatInfo
	class does things a little differently.

2005-08-22  Chris Toshok  <toshok@ximian.com>

	* ListControlTest.cs: #if NET_2_0 some of the asserts whose values
	are different in 2.0.

	* ValidationSummaryTest.cs: same.

	* XmlTest.cs: same.

	* ListBoxTest.cs: same.

	* CheckBoxTest.cs: same.

	* UnitTest.cs: same.

	* TextBoxTest.cs: same.

	* CustomValidatorTest.cs: same.

	* DataGridTest.cs: same.

	* BaseCompareValidatorTest.cs: remove ko-KR, since my laptop
	presently can't find it, and we already have another ymd date
	element order.

2005-08-22  Chris Toshok  <toshok@ximian.com>

	* RepeatInfoTest.auto.cs: regenerate.

	* RepeatInfoTest.auto.2.0.cs: generate using .Net 2.0.

	* RepeatInfoTest.gen.cs: add wrapper #ifdefs for the 1.x/2.0 cases
	- we need both.

2005-08-22  Chris Toshok  <toshok@ximian.com>

	* BaseCompareValidatorTest.cs: fix the tests that change behavior
	between 1.x and 2.0.

2005-08-22  Chris Toshok  <toshok@ximian.com>

	* LinkButtonTest.cs: add validation group tests.

2005-08-22  Chris Toshok  <toshok@ximian.com>

	* ImageButtonTest.cs: add NET_2_0 validation tests.

2005-08-22  Chris Toshok  <toshok@ximian.com>

	* CheckBoxTest.cs: add NET_2_0 validation tests.

2005-08-22  Chris Toshok  <toshok@ximian.com>

	* ButtonTest.cs (Button_DefaultValues): add NET_2_0 test for
	ValidationGroup.
	(Button_ViewState): same.

2005-08-22  Sebastien Pouliot  <sebastien@ximian.com>

	* LoginNameTest.cs: New. Unit tests for LoginName control (2.0).
	* LoginStatusTest.cs: New. Unit tests for LoginStatus control (2.0).

2005-08-19  Sebastien Pouliot  <sebastien@ximian.com>

	* TableCellTest.cs: Add test cases for AssociatedHeaderCellID (2.0).

2005-08-18  Sebastien Pouliot  <sebastien@ximian.com>

	* BaseDataListTest.cs: Added test cases for new properties, methods
	and events defined in 2.0.
	* LoginTest.cs: Added test cases for On* methods.

2005-08-17  Chris Toshok  <toshok@ximian.com>

	* CompositeControlTest.cs: put it in the MonoTests. namespace so
	it shows up in the right place in the nunit gui.
	
2005-08-16  Sebastien Pouliot  <sebastien@ximian.com> 

	* DataListTest.cs: Fixed ViewState test to work on both 1.x and 2.0.
	Added tests for Load|SaveControlState (2.0). Added basic tests for
	 SelectedValue property (2.0).
	* LoginTest.cs: Added test cases to check for null (removal) on all 
	string properties, added checks for all enums properties. Also added
	test case for SaveViewState.

2005-08-15  Sebastien Pouliot  <sebastien@ximian.com> 

	* TableHeaderRowTest.cs: New. Reuse TableRowTest test cases to test
	TableHeaderRow class (2.0).
	* TableFooterRowTest.cs: New. Reuse TableRowTest test cases to test
	TableFooterRow class (2.0).
	* TableRowTest.cs: Added test cases for new (2.0) TableSection 
	property. Reworked the tests to allow easier reuse of them by the
	TableHeaderRow and TableFooterRow classes.

2005-08-14  Sebastien Pouliot  <sebastien@ximian.com> 

	* LoginTest.cs: New. Unit tests to test default values for Login.
	* TableHeaderCellTest.cs: Add tests for CategoryText and Scope 
	properties (new in 2.0).
	* TableSectionStyleTest.cs: New. Unit tests for TableSectionStyle.
	Note that this new 2.0 class seems broken as it is not complete (MS).
	
2005-08-12  Chris Toshok  <toshok@ximian.com>

	* CompositeControlTest.cs: a couple of tests for CompositeControl.

2005-08-09  Sebastien Pouliot  <sebastien@ximian.com> 
 
	* BaseDataListTest.cs: Added tests for OnDataBinding.
	* DataLitItemTest.cs: Added more useful tests for rendering items, 
	including a test when two tables are present and extractRows is true.
	Added tests for IDataItemContainer (2.0).

2005-08-08  Jackson Harper  <jackson@ximian.com>

	* PagedDataSourceTest.cs: Tests for creating enumerators when
	paging is not enabled.

2005-08-08  Sebastien Pouliot  <sebastien@ximian.com>

	* HyperLinkTest.cs: Updated comments. Resolve doesn't work when doing
	unit tests (probably because it requires a Page, or something else 
	that can be used as the base url for the application).

2005-08-03  Peter Dennis Bartok  <pbartok@novell.com>

	* EditCommandColumnTest.cs: Updated; InitializeCell() passes except
	  for the missing footer; InitializeCellEdit() has a problem with
	  the name given to the TextBox controls

2005-08-05  Jackson Harper  <jackson@ximian.com>

	* PagedDataSourceTest.cs: Tests for PageCount.

2005-08-04  Ben Maurer  <bmaurer@ximian.com>

	* CalendarTest.cs: Test based on an msdn example. Again, I (heart)
	anonymous methods.

2005-08-04  Dick Porter  <dick@ximian.com>

	* DataGridColumnTest.cs: Tests for DataGridColumn

2005-08-03  Ben Maurer  <bmaurer@ximian.com>

	* RepeatInfoTest.cs: Test for copying from base control

	* WebControlTest.cs: Issue I found while doing repeatinfo

	* LabelTest.cs: New tests.

	* PanelTest.cs: New tests

2005-08-03  Peter Dennis Bartok  <pbartok@novell.com>

	* EditCommandColumnTest.cs: Enable tests

2005-08-03  Peter Dennis Bartok  <pbartok@novell.com> 

	* DataGridPagerStyleTest.cs: Added testcase

2005-08-03  Jordi Mas i Hernandez <jordi@ximian.com>

	*  CalendarTest.cs: Trackview states

2005-08-02  Jackson Harper  <jackson@ximian.com>

	* BoundColumnTest.cs: Start of tests for the BoundColumn class.
	
2005-08-02  Jordi Mas i Hernandez <jordi@ximian.com>

	*  RadioButtonListTest.cs: test unit

2005-08-01  Jackson Harper  <jackson@ximian.com>

	* TableStyleTest.cs: Check that items copied set the styles flags.

2005-08-01  Jackson Harper  <jackson@ximian.com>

	* PagedDataSourceTest.cs: Test the enumerators a little.

2005-07-30  Chris Toshok  <toshok@ximian.com>

	* HyperLinkColumnTest.cs: add some tests for how the column
	initializes a TableCell.

2005-07-30  Ben Maurer  <bmaurer@ximian.com>

	* RepeatInfoTest.auto.cs: Regen.

	* RepeatInfoTest.gen.cs: Autogenerate tests for 0 items

2005-07-29  Chris Toshok  <toshok@ximian.com>

	* BaseCompareValidatorTest.cs (CanConvert): disable B9, until we
	figure out a culture independent way to do it.
	(Convert): same with C17/C18.
	(MiscPropertiesAndMethods): test CutoffYear, GetFullYear, and
	GetDateElementOrder.

2005-07-27  Peter Dennis Bartok  <pbartok@novell.com> 

	* StyleTest.cs: Added font-related tests to check for special
	  Name/Names behaviour

2005-07-29  Chris Toshok  <toshok@ximian.com>

	* BaseCompareValidatorTest.cs: use DateTime to generate the
	strings for our date tests, since they're culture specific.

2005-07-29  Dick Porter  <dick@ximian.com>

	* RadioButtonTest.cs: Added tests for RadioButton

2005-07-29  Jordi Mas i Hernandez <jordi@ximian.com>

	* SelectedDatesCollectionTest.cs: new unit test
	* CalendarDayTest.cs: new unit test
	* CalendarTest.cs: more tests for calendar control

2005-07-28  Jackson Harper  <jackson@ximian.com>

	* EditCommandColumnTest.cs: Make the DataGridTest nested so my
	top secret DataGrid tests will still compile.

2005-07-27  Peter Dennis Bartok  <pbartok@novell.com> 

	* EditCommandColumnTest.cs: Added tests; marked some as NotWorking
	  until PagedDataSource is not throwing NotImpl

2005-07-27  Peter Dennis Bartok  <pbartok@novell.com> 

	* CustomValidatorTest.cs: Added tests

2005-07-27  Peter Dennis Bartok  <pbartok@novell.com>

	* DataGridPagerStyleTest.cs: Added tests

2005-07-26  Peter Dennis Bartok  <pbartok@novell.com>

	* DataGridItemTest.cs: Added tests

2005-07-26  Peter Dennis Bartok  <pbartok@novell.com> 

	* DataGridItemCollectionTest.cs: Added tests

2005-07-26  Ben Maurer  <bmaurer@ximian.com>

	* RepeatInfoTest.cs: Remove tests that are contained below

	* RepeatInfoTest.auto.cs: Generated tests.

	* RepeatInfoTest.gen.cs: A test generator for repeatinfo

2005-07-25  Peter Dennis Bartok  <pbartok@novell.com> 

	* StyleTest.cs: Refined tests

2005-07-25  Jackson Harper  <jackson@ximian.com>

	* DataGridTest.cs: More tests for the pager.

2005-07-22  Jackson Harper  <jackson@ximian.com>

	* DataGridTest.cs: Basic test for InitializePager.

2005-07-22  Sebastien Pouliot  <sebastien@ximian.com> 

	* HyperLinkTest.cs: New. (very basic) unit tests for HyperLink.

2005-07-21  Jackson Harper  <jackson@ximian.com>

	* DataGridTest.cs: Test the order the events are invoked in when
	creating the control hierarchy.

2005-07-21  Sebastien Pouliot  <sebastien@ximian.com> 

	* BaseDataList.cs: Replace IList test with IEnumerable test.
	* RepeatInfoTest.cs: Ignore the test about the baseControl / NRE.
	* TableCellTest.cs: Added tests for AddParsedSubObject versus the Text
	property (and LiteralControl).

2005-07-21  Peter Dennis Bartok  <pbartok@novell.com> 

	* CustomValidatorTest.cs: Added

2005-07-21  Peter Dennis Bartok  <pbartok@novell.com> 

	* RangeValidatorTest.cs: More test cases

2005-07-21  Sebastien Pouliot  <sebastien@ximian.com>  
 
	* RepeatInfoTest.cs: Added test for RepeatColumn is 0.
	* TableRowTest.cs: Added style rendering tests (for my sanity).

2005-07-21  Jackson Harper  <jackson@ximian.com>

	* PagedDataSourceTest.cs: Test to see what happens when we get a
	non ITypedList.

2005-07-21  Duncan Mak  <duncan@novell.com>

	* HyperLinkColumnTest.cs: Added new test for HyperLinkColumn.

2005-07-20  Peter Dennis Bartok  <pbartok@novell.com> 

	* DropDownListTest.cs: Added [ExpectedException] for double select
	  test

2005-07-20  Ben Maurer  <bmaurer@ximian.com>

	* DropDownListTest.cs (InitialSelectionMade): Add a test for a
	regression that seems to be caused by some change to
	ListItemCollection. Add this file to sources as all tests other
	than this pass using the old impl of ddl except for this, which is
	a regression.

2005-07-20  Sebastien Pouliot  <sebastien@ximian.com> 
 
	* RepeatInfoTest.cs: More unit tests for arguments checks, default 
	values, baseControl (not figured out yet) and OuterTableImplied.

2005-07-20  Jackson Harper  <jackson@ximian.com>
2005-07-20  Jackson Harper  <jackson@ximian.com>

	* DataGridTest.cs: Make sure we get back a proper columns
	collection.

2005-07-20  Jackson Harper  <jackson@ximian.com>

	* DataGridTest.cs: The columns collection cached from the
	CreateColumnSet is stored in the view state.

2005-07-20  Sebastien Pouliot  <sebastien@ximian.com> 
 
	* BaseDataListTest.cs: Added more tests ported from DataGridTest.
	* DataListTest.cs: Added more tests ported from DataGridTest.

2005-07-20  Peter Dennis Bartok  <pbartok@novell.com> 

	* ValidationSummaryTest.cs: Added rendering tests

2005-07-20  Jackson Harper  <jackson@ximian.com>

	* DataGridTest.cs: Test generating column names with/without
	enabling useDataSource.

2005-07-20  Sebastien Pouliot  <sebastien@ximian.com> 
 
	* DataListTest.cs: Add viewstate test.

2005-07-20  Jackson Harper  <jackson@ximian.com>

	* DataGridTest.cs: Check the properties of newly created
	BoundColumns.

2005-07-20  Sebastien Pouliot  <sebastien@ximian.com> 
 
	* BaseDataListTest.cs: Add render tests (all empty).
	* DataListTest.cs: Added Controls vs Items test.
	* WebControlTest.cs: Added new (passing) tests.

2005-07-19  Jackson Harper  <jackson@ximian.com>

	* PagedDataSource.cs: New unit test for GetItemProperties.

2005-07-19  Jackson Harper  <jackson@ximian.com>

	* DataGridTest.cs: New tests for creating column sets.

2005-07-19  Sebastien Pouliot  <sebastien@ximian.com> 
 
	* DataListTest.cs: Add more tests for IRepeatInfoUser.
	* RepeatInfoTest.cs: New. Unit test for RepeatInfo (not exactly what
	I had expected...).

2005-07-19  Jackson Harper  <jackson@ximian.com>

	* CheckBoxListTest.cs: New tests for FindControl.

2005-07-19  Jackson Harper  <jackson@ximian.com>

	* DataGridTest.cs: New test for viewstate saving.

2005-07-19  Chris Toshok  <toshok@ximian.com>

	* BaseValidatorTest.cs: use the right call (SetValidationTextBox)
	in ValidatorTest.

2005-07-19  Peter Dennis Bartok  <pbartok@novell.com> 

	* DropDownListTest.cs: Testcases added
	* RangeValidatorTest.cs: Added
	* ValidatedControlConverterTest.cs: Added
	* ValidationSummaryTest.cs: Added

2005-07-19  Chris Toshok  <toshok@ximian.com>

	* BaseCompareValidatorTest.cs: add date tests.

2005-07-19  Jackson Harper  <jackson@ximian.com>

	* DataGridTest.cs: Bubble tests for Page command. Tests for bad
	Page command bubble event args.

2005-07-19  Jackson Harper  <jackson@ximian.com>

	* DataGridTest.cs: Select can also be bubbled.

2005-07-19  Jackson Harper  <jackson@ximian.com>

	* DataGridTest.cs: Tests for the BubbleEvent.

2005-07-19  Jackson Harper  <jackson@ximian.com>

	* DataGridTest.cs: New tests. Just does properties and events for
	the most part.

2005-07-18  Chris Toshok  <toshok@ximian.com>

	* BaseCompareValidatorTest.cs: note the lack of Date tests, and
	add null tests.

2005-07-18  Chris Toshok  <toshok@ximian.com>

	* BaseCompareValidatorTest.cs: new tests.

2005-07-19  Ben Maurer  <bmaurer@ximian.com>

	* UnitConverterTest.cs: New tests

2005-07-18  Chris Toshok  <toshok@ximian.com>

	* CompareValidatorTest.cs (CompareValidator_ValueToCompareTest,
	CompareValidator_ControlToCompareTest): new methods.

	* ValidatorTest.cs: add AddTextBox method.

2005-07-18  Chris Toshok  <toshok@ximian.com>

	* RegularExpressionValidatorTest.cs: add a simple validation test.

	* ValidatorTest.cs: add a base class for validator tests, that
	enables a little scaffolding for faking out the test.

2005-07-18  Chris Toshok  <toshok@ximian.com>

	* CompareValidatorTest.cs: new tests.

2005-07-18  Chris Toshok  <toshok@ximian.com>

	* RegularExpressionValidatorTest.cs: new test.

2005-07-18  Sebastien Pouliot  <sebastien@ximian.com>

	* DataListTest.cs: Fix tests for 1.1 which keeps more stuff into it's
	ViewState.

2005-07-15  Peter Dennis Bartok  <pbartok@novell.com> 

	* DropDownListTest.cs: Testcases added

2005-07-15  Jackson Harper  <jackson@ximian.com>

	* CheckBoxListTest.cs: New tests for FindControl.

2005-07-15  Jackson Harper  <jackson@ximian.com>

	* WebControlTest.cs: New test to make sure NamingContainers are
	honoured when rendering client ids.

2005-07-15  Jackson Harper  <jackson@ximian.com>

	* CheckBoxListTest.cs: More tests for the IRepeatInfoUser stuff
	and for rendering.

2005-07-15  Sebastien Pouliot  <sebastien@ximian.com>

	* BaseDataListTest.cs: New. Unit tests for abstract BaseDataList.
	* DataKeyCollectionTest.cs: New. Unit tests for DataKeyCollection.
	* DataListItemCollectionTest.cs: New. Unit tests for 
	DataListItemCollection.
	* DataListItemTest.cs: New. Unit tests for DataListItem (incomplete).
	* DataListTest.cs: New. Unit tests for DataList (incomplete).

2005-07-14  Jackson Harper  <jackson@ximian.com>

	* CheckBoxListTest.cs: Rendering tests.

2005-07-14  Jackson Harper  <jackson@ximian.com>

	* CheckBoxListTest.cs: Fix the exception types thrown for bad
	enums. Mark as NotWorking as this doesn't work with the old
	CheckBoxList class anymore.

2005-07-14  Jackson Harper  <jackson@ximian.com>

	* CheckBoxListTest.cs: Add some rendering tests. These aren't
	fully working yet so they are in the NotWorking category.

2005-07-14  Jackson Harper  <jackson@ximian.com>

	* CheckBoxListTest.cs: This has the potential to be a beautiful
	test.

2005-07-14  Peter Dennis Bartok  <pbartok@novell.com> 

	* WebColorConverter.cs: Testcases added

2005-07-14  Jackson Harper  <jackson@ximian.com>

	* ListControlTest.cs: New test for the viewstate and item
	selection.

2005-07-14  Dick Porter  <dick@ximian.com>

	* CheckBoxTest.cs: Added enum checks

2005-07-14  Peter Dennis Bartok  <pbartok@novell.com> 

	* TargetConverterTest.cs: Testcases added

2005-07-14  Duncan Mak  <duncan@novell.com>

	* PagedDataSourceTest.cs: Added testcases.
	(PageCountTest, CountTest, IsLastPageTest): Needs more work.

2005-07-13  Peter Dennis Bartok  <pbartok@novell.com> 

	* FontNamesConverterTest.cs: Testcases added

2005-07-13  Peter Dennis Bartok  <pbartok@novell.com>

	* ListItemCollectionTest.cs: Added
	* ListBoxTest.cs: Marked test as not working since it dependes on
	  ListControl making a call to an obsolete internal method

2005-07-13  Jackson Harper  <jackson@ximian.com>

	* ListControlTest.cs: New tests for the ListControl.

2005-07-13  Jackson Harper  <jackson@ximian.com>

	* ListBoxTest.cs: Exception is thrown (by ListControl). Dont run
	the BadBorderStyle test as this fails in ListControls.

2005-07-13  Sebastien Pouliot  <sebastien@ximian.com>

	* ImageTest.cs: Added tests for DescriptionUrl in 1.1 profile as this
	property was added in Fx 1.1 SP1.
	* StyleTest.cs: Added more tests for CopyFrom to test it's behavior,
	e.g. it doesn't reset itself nor remove it's properties if they're
	not part of the copied Style instance.
	* TableTest.cs: Adjusted values so we're not testing a 100% match with
	MS lines/indentations.
	* TableRowTest.cs: Use Ben's trick on StreamWriter (\r\n). Adjusted
	values so we're not testing a 100% match with MS lines/indentations.
	* WebControlTest.cs: Added tests to remove attributes and style before
	rendering. Empty style properties shouldn't be rendered.

2005-07-13  Dick Porter  <dick@ximian.com>

	* CheckBoxTest.cs: Added tests for CheckBox - currently all
	passing on mono and ms runtimes.

2005-07-12  Sebastien Pouliot  <sebastien@ximian.com> 
 
	* WebControlTest.cs: Added another test for RenderBeginTag, this time
	using an attribute (renamed old test as it was for style attributes).

2005-07-12  Peter Dennis Bartok  <pbartok@novell.com>

	* WebControlTest.cs: Added test for loading/saving of state. Switched
	  to use Sebastiens GetWriter method

2005-07-12  Jackson Harper  <jackson@ximian.com>

	* ListBoxTest.cs: Some simple tests for the ListBox control.
	
2005-07-12  Sebastien Pouliot  <sebastien@ximian.com> 
 
	* TableTest.cs: Use Ben's trick on StreamWriter.
	* WebControlTest.cs: Added tests for RenderBeginTag.

2005-07-12  Sebastien Pouliot  <sebastien@ximian.com>

	* TableCellTest.cs: New. Unit tests for TableCell.
	* TableItemStyleTest.cs: New. Unit tests for TableItemStyle.
	* TableHeaderCellTest.cs: New. Unit tests for TableHeaderCell.
	* TableRowTest.cs: New. Unit tests for TableRow.
	* TableStyleTest.cs: New. Unit tests for TableStyle.
	* TableTest.cs: New. Unit tests for Table.

2005-07-12  Miguel de Icaza  <miguel@novell.com>

	* UnitTest.cs: Update test suite.

2005-07-12  Jordi Mas i Hernandez <jordi@ximian.com>

	* ButtonTest.cs: add Default constructors tests
	* ImageButtonTest.cs: Adds ImageButtonTest 

2005-07-11  Peter Dennis Bartok  <pbartok@novell.com>

	* WebControlTest.cs: Added test.

2005-07-11  Sebastien Pouliot  <sebastien@ximian.com> 
 
	* FontUnitTest.cs: Added more tests when looking for another bug...
	* StyleTest.cs: Added some unit tests for a null ctor and checks for
	emptyness.

2005-07-11  Jordi Mas i Hernandez <jordi@ximian.com>

	* ButtonTest.cs: New unit test for Button

2005-07-08  Sebastien Pouliot  <sebastien@ximian.com>

	* ImageTest.cs: New. Unit tests for Image.

2005-07-08  Jackson Harper  <jackson@ximian.com>

	* LiteralTest.cs: new test.
	* MonthCalendarEventArgsTest.cs: new test.

2005-07-08  Jackson Harper  <jackson@ximian.com>

	* AdCreatedEventArgsTest.cs: Added test.

2005-07-07  Miguel de Icaza  <miguel@novell.com>

	* XmlTest.cs: Added test.  

2005-07-07  Peter Dennis Bartok  <pbartok@novell.com>

	* StyleTest.cs: Added test.

2005-07-07  Miguel de Icaza  <miguel@novell.com>

	* LabelTest.cs: Add test.

2005-07-07  Ben Maurer  <bmaurer@ximian.com>

	* FontUnitTest.cs: Make it run on msft

2005-07-06  Miguel de Icaza  <miguel@novell.com>

	* FontUnitTest.cs: New unit tests.

	* UnitTest.cs: Add support for different cultures and the Decimal
	separator,
	
	* UnitTest.cs: Add tests for null and "" arguments to Parse and
	Unit(string) which produce IsEmpty units. 

	* UnitTest.cs: Fresh file with tests.

2004-10-08  Sanjay Gupta <gsanjay@novell.com>

	* TestControlIDConverter.cs: Added new test file for ControlIDConverter.

